Subject: Re: [PATCH 1/2] [IPV4] UDP: Always checksum even if without socket filter

From: Wang Chen <[email-masked]>
Date: Thu, 29 Nov 2007 18:33:01 +0800

Herbert Xu said the following on 2007-11-29 18:21:
> On Thu, Nov 29, 2007 at 06:08:30PM +0800, Wang Chen wrote:
>> Add a new UdpInEarlyDatagrams counter to count datagrams received early,
>> but which might be dropped later.
> 
> Could you please split this into two patches? Have one do the
> UdpInDatagrams change and the other to introduce the EarlyDatagrams
> counter.
> 
> I'm a bit hesitant to introduce new counters in the MIB because
> it'd be difficult if not impossible to ever remove them.  Do you
> really need the early counter?
> 

I cooked the patch based on Andi's and left the new counter.
Frankly, I don't like the EarlyDatagrams too.
So, I will remove it and resubmit.

> One more thing, please put the is_udplite clean-up in its own
> patch too so it's absolutely clear what we're changing in the
> patches that aren't clean-ups.
> 

OK.

>> Signed-off-by: Andi Kleen <[email-masked]>
>> Signed-off-by: Wang Chen <[email-masked]>
> 
> Who's the author? Andi or you? Please make this obvious with a From
> header when you resubmit.
> 

Since I will remove the new counter idea of Andi, there will be only
one author. :)